Bug 58351

Summary: Provide JMX access to server.built and server.number
Product: Tomcat 9 Reporter: Huxing Zhang <huxing.zhang>
Component: CatalinaAssignee: Tomcat Developers Mailing List <dev>
Status: RESOLVED FIXED    
Severity: enhancement    
Priority: P2    
Version: unspecified   
Target Milestone: -----   
Hardware: All   
OS: All   
Attachments: patch to provide JMX access to server built and server number
patch to provide JMX access to server built and server number(against tomcat9 trunk)

Description Huxing Zhang 2015-09-10 04:58:56 UTC
Created attachment 33087 [details]
patch to provide JMX access to server built and server number

We are able to obtain Server Info, Server Built, and Server Number by running "catalina.sh version",  those information are also logged to catalina.out by VersionLoggerListener. 
However, we cannot get Server Built and Server Number via JMX, which I think is inconsistent.
We should also provide JMX access to Server Built and Server Number.
Comment 1 Huxing Zhang 2016-01-27 02:14:31 UTC
Created attachment 33494 [details]
patch to provide JMX access to server built and server number(against tomcat9 trunk)

This enhancement should also be applicable to tomcat9 trunk.
Comment 2 Honza Hejzl 2016-02-10 20:39:22 UTC
markt testing a reported issue using Bugzilla's sudo feature. Please ignore.
Comment 3 Mark Thomas 2016-02-23 21:15:45 UTC
Thanks for the patch. I have applied it to 9.0.x for 9.0.0.M4 onwards and yo 8.0.x for 8.0.33 onwards.
Comment 4 Huxing Zhang 2016-02-24 02:40:50 UTC
Thanks for applying the patch!

Actually, the obsolete patch:

https://bz.apache.org/bugzilla/attachment.cgi?id=33087

is still applicable to tomcat7 trunk.

Would it be possible to back port this feature to tomcat 7?
Comment 5 Mark Thomas 2016-02-24 09:38:21 UTC
Done. Will be in 7.0.69 onwards.